Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.orkesta.com.tr/llms.txt

Use this file to discover all available pages before exploring further.

⏳ Ödeme Ürün Kırılımı Onay Bekleme Durumu

Ödemeye ait verilmiş olan ürün kırılımların onaylanmış durumda ise tekrardan onay bekliyor durumuna getirir. PUT https://api-test.fincraft.com.tr/api/v1/payments/product/pending

Request Body

{
  "productIds": [
    "550e8400-e29b-41d4-a716-446655440000"
  ],
  "independentApproval": false
}

Response Body

{
    "response": {
        "results": [
            {
                "name": "string",
                "price": 1000.0,
                "status": "PENDING",
                "commissionRate": 90.00,
                "id": "UUID"
            }
        ]
    }
}

cURL Örneği

curl -X PUT https://api-test.fincraft.com.tr/api/v1/payments/product/pending \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"productIds": ["550e8400-e29b-41d4-a716-446655440000"], "independentApproval": false}'